Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.jpeg
Class JpegHeaders

    java.lang.Object
      |
      +--org.w3c.tools.jpeg.JpegHeaders

public class JpegHeaders
extends java.lang.Object
implements Jpeg

Field Summary
`protected java.lang.String[]` | `appcomments`
`protected java.lang.String[]` | `comments`
`protected java.io.InputStream` | `in`
`protected java.io.File` | `jpegfile`
`protected java.util.Vector` | `vacom`
`protected java.util.Vector` | `vcom`

Fields inherited from interface org.w3c.tools.jpeg.Jpeg
`M_APP0, M_APP12, M_COM, M_EOI, M_MAX_COM_LENGTH, M_SOF0, M_SOF1, M_SOF10, M_SOF11, M_SOF13, M_SOF14, M_SOF15, M_SOF2, M_SOF3, M_SOF5, M_SOF6, M_SOF7, M_SOF9, M_SOI, M_SOS`

Constructor Summary
`JpegHeaders(java.io.File jpegfile)` get the headers out of a file
`JpegHeaders(java.io.InputStream in)` get the headers out of a stream

Method Summary
`protected int` | `firstMarker()`
`java.lang.String[]` | `getAPP12Comments()`
`java.lang.String[]` | `getComments()`
`static void` | `main(java.lang.String[] args)`
`protected int` | `nextMarker()`
`protected java.lang.String` | `processComment()`
`protected int` | `read2bytes()`
`protected int` | `scanHeaders()`
`protected void` | `skipVariable()` skip the body after a marker

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jpegfile

    protected java.io.File jpegfile

### in

    protected java.io.InputStream in

### vcom

    protected java.util.Vector vcom

### vacom

    protected java.util.Vector vacom

### comments

    protected java.lang.String[] comments

### appcomments

    protected java.lang.String[] appcomments

Constructor Detail

### JpegHeaders

    public JpegHeaders(java.io.File jpegfile)
                throws java.io.FileNotFoundException

  get the headers out of a file

### JpegHeaders

    public JpegHeaders(java.io.InputStream in)

  get the headers out of a stream

Method Detail

### getComments

    public java.lang.String[] getComments()

### getAPP12Comments

    public java.lang.String[] getAPP12Comments()

### scanHeaders

    protected int scanHeaders()
                       throws java.io.IOException,
                              JpegException

### processComment

    protected java.lang.String processComment()
                                       throws java.io.IOException,
                                              JpegException

### read2bytes

    protected int read2bytes()
                      throws java.io.IOException,
                             JpegException

### skipVariable

    protected void skipVariable()
                         throws java.io.IOException,
                                JpegException

  skip the body after a marker

### firstMarker

    protected int firstMarker()
                       throws java.io.IOException,
                              JpegException

### nextMarker

    protected int nextMarker()
                      throws java.io.IOException

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD